OpenThreads::ReentrantMutex Class Reference

`#include <ReentrantMutex>`

Inheritance diagram for OpenThreads::ReentrantMutex:

## Public Member Functions

| ReentrantMutex ()
Public Member Functions inherited from OpenThreads::Mutex
| Mutex (MutexType type=MUTEX_NORMAL)
virtual | ~Mutex ()
MutexType | getMutexType () const
virtual int | lock ()
virtual int | unlock ()
virtual int | trylock ()

## Additional Inherited Members

Public Types inherited from OpenThreads::Mutex
enum | MutexType { MUTEX_NORMAL , MUTEX_RECURSIVE }

## Constructor & Destructor Documentation

## ReentrantMutex()

OpenThreads::ReentrantMutex::ReentrantMutex | ( |  | ) |

inline

References OpenThreads::Mutex::Mutex(), and OpenThreads::Mutex::MUTEX_RECURSIVE.

The documentation for this class was generated from the following file:

- ReentrantMutex